Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class ScriptingEnvironment.Window

    java.lang.Object
      org.apache.batik.bridge.ScriptingEnvironment.Window

All Implemented Interfaces:
  Window

Direct Known Subclasses:
  SVG12ScriptingEnvironment.Global

Enclosing class:
  ScriptingEnvironment

    protected class ScriptingEnvironment.Window

extends Object
implements Window

Represents the window object of this environment.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.batik.script.Window
`Window.URLResponseHandler`

Field Summary
`protected Interpreter` | `interpreter` The associated interpreter.
`protected String` | `language` The associated language.

Constructor Summary
`ScriptingEnvironment.Window(Interpreter interp, String lang)` Creates a new Window for the given language.

Method Summary
`void` | `alert(String message)` Displays an alert dialog box.
`void` | `clearInterval(Object interval)` Implements `Window.clearInterval(Object)`.
`void` | `clearTimeout(Object timeout)` Implements `Window.clearTimeout(Object)`.
`boolean` | `confirm(String message)` Displays a confirm dialog box.
`BridgeContext` | `getBridgeContext()` Returns the current BridgeContext.
`Interpreter` | `getInterpreter()` Returns the associated interpreter.
`void` | `getURL(String uri, Window.URLResponseHandler h)` Implements `Window.getURL(String,org.apache.batik.script.Window.URLResponseHandler)`.
`void` | `getURL(String uri, Window.URLResponseHandler h, String enc)` Implements `Window.getURL(String,org.apache.batik.script.Window.URLResponseHandler,String)`.
`Node` | `parseXML(String text, Document doc)` Implements `Window.parseXML(String,Document)`.
`void` | `postURL(String uri, String content, Window.URLResponseHandler h)` Posts data to the given URI.
`void` | `postURL(String uri, String content, Window.URLResponseHandler h, String mimeType)` Posts data to the given URI.
`void` | `postURL(String uri, String content, Window.URLResponseHandler h, String mimeType, String fEnc)` Posts data to the given URI.
`String` | `prompt(String message)` Displays an input dialog box.
`String` | `prompt(String message, String defVal)` Displays an input dialog box, given the default value.
`Object` | `setInterval(Runnable r, long interval)` Implements `Window.setInterval(Runnable,long)`.
`Object` | `setInterval(String script, long interval)` Implements `Window.setInterval(String,long)`.
`Object` | `setTimeout(Runnable r, long timeout)` Implements `Window.setTimeout(Runnable,long)`.
`Object` | `setTimeout(String script, long timeout)` Implements `Window.setTimeout(String,long)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interpreter

    protected Interpreter interpreter

  The associated interpreter.

### language

    protected String language

  The associated language.

Constructor Detail

### ScriptingEnvironment.Window

    public ScriptingEnvironment.Window(Interpreter interp,
                                       String lang)

  Creates a new Window for the given language.

Method Detail

### setInterval

    public Object setInterval(String script,
                              long interval)

  Implements `Window.setInterval(String,long)`.

  Specified by:
    `setInterval` in interface `Window`
  Returns:
    an object representing the interval created.

### setInterval

    public Object setInterval(Runnable r,
                              long interval)

  Implements `Window.setInterval(Runnable,long)`.

  Specified by:
    `setInterval` in interface `Window`
  Returns:
    an object representing the interval created.

### clearInterval

    public void clearInterval(Object interval)

  Implements `Window.clearInterval(Object)`.

  Specified by:
    `clearInterval` in interface `Window`

### setTimeout

    public Object setTimeout(String script,
                             long timeout)

  Implements `Window.setTimeout(String,long)`.

  Specified by:
    `setTimeout` in interface `Window`
  Returns:
    an object representing the timeout created.

### setTimeout

    public Object setTimeout(Runnable r,
                             long timeout)

  Implements `Window.setTimeout(Runnable,long)`.

  Specified by:
    `setTimeout` in interface `Window`
  Returns:
    an object representing the timeout created.

### clearTimeout

    public void clearTimeout(Object timeout)

  Implements `Window.clearTimeout(Object)`.

  Specified by:
    `clearTimeout` in interface `Window`

### parseXML

    public Node parseXML(String text,
                         Document doc)

  Implements `Window.parseXML(String,Document)`.

  Specified by:
    `parseXML` in interface `Window`
  Returns:
    The document fragment or null on error.

### getURL

    public void getURL(String uri,
                       Window.URLResponseHandler h)

  Implements `Window.getURL(String,org.apache.batik.script.Window.URLResponseHandler)`.

  Specified by:
    `getURL` in interface `Window`
  Parameters:
    `uri` - The URI where the data is located.
    `h` - A handler called when the data is available.

### getURL

    public void getURL(String uri,
                       Window.URLResponseHandler h,
                       String enc)

  Implements `Window.getURL(String,org.apache.batik.script.Window.URLResponseHandler,String)`.

  Specified by:
    `getURL` in interface `Window`
  Parameters:
    `uri` - The URI where the data is located.
    `h` - A handler called when the data is available.
    `enc` - The character encoding of the data.

### postURL

    public void postURL(String uri,
                        String content,
                        Window.URLResponseHandler h)

  Description copied from interface: `Window`
  Posts data to the given URI.

  Specified by:
    `postURL` in interface `Window`
  Parameters:
    `uri` - The URI where the data is located.
    `content` - The data to post to the server.
    `h` - A handler called when the data is available.

### postURL

    public void postURL(String uri,
                        String content,
                        Window.URLResponseHandler h,
                        String mimeType)

  Description copied from interface: `Window`
  Posts data to the given URI.

  Specified by:
    `postURL` in interface `Window`
  Parameters:
    `uri` - The URI where the data is located.
    `content` - The data to post to the server.
    `h` - A handler called when the data is available.
    `mimeType` - The mimeType to asscoiate with post.

### postURL

    public void postURL(String uri,
                        String content,
                        Window.URLResponseHandler h,
                        String mimeType,
                        String fEnc)

  Description copied from interface: `Window`
  Posts data to the given URI.

  Specified by:
    `postURL` in interface `Window`
  Parameters:
    `uri` - The URI where the data is located.
    `content` - The data to post to the server.
    `h` - A handler called when the data is available.
    `mimeType` - The mimeType to asscoiate with post.
    `fEnc` - The encoding to apply to `content` may be "gzip", "deflate", or `null`.

### alert

    public void alert(String message)

  Displays an alert dialog box.

  Specified by:
    `alert` in interface `Window`

### confirm

    public boolean confirm(String message)

  Displays a confirm dialog box.

  Specified by:
    `confirm` in interface `Window`

### prompt

    public String prompt(String message)

  Displays an input dialog box.

  Specified by:
    `prompt` in interface `Window`
  Returns:
    The input of the user, or null if the dialog was cancelled.

### prompt

    public String prompt(String message,
                         String defVal)

  Displays an input dialog box, given the default value.

  Specified by:
    `prompt` in interface `Window`
  Returns:
    The input of the user, or null if the dialog was cancelled.

### getBridgeContext

    public BridgeContext getBridgeContext()

  Returns the current BridgeContext.

  Specified by:
    `getBridgeContext` in interface `Window`

### getInterpreter

    public Interpreter getInterpreter()

  Returns the associated interpreter.

  Specified by:
    `getInterpreter` in interface `Window`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.